#ifndef CERTIFICATETABLEMODEL_H
#define CERTIFICATETABLEMODEL_H

/**
 * @file certificatetablemodel.h
 * @brief Table model for certificates.
 */

#include <QAbstractTableModel>
#include <QString>
#include "certificate.h"

class CertificateTabelModel : public QAbstractTableModel
{
    Q_OBJECT

public:
    CertificateTabelModel(QObject *parent = 0);

    void addCertificate(Certificate *certificate);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;

    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    QVariant headerData(int section, Qt::Orientation orientation,
            int role = Qt::DisplayRole) const;

private:
    QList<Certificate> *certificates;
    QList<QString> *header;
};

#endif
